API referenceWebhooks

Update a webhook

PATCH/webhooks/{id}

Changes the endpoint URL, subscribed events or status.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "webhook",  "id": "string",  "endpoint": "string",  "events": [    "email.sent"  ],  "status": "enabled",  "created_at": "2019-08-24T14:15:22Z"}